### Method

# GIRepository Repository get_loaded_namespaces

since: 2.80

#### Declaration [src]

    char**
    gi_repository_get_loaded_namespaces (
      GIRepository* repository,
      size_t* n_namespaces_out
    )

#### Description [src]

Return the list of currently loaded namespaces.

The list is guaranteed to be `NULL` terminated. The `NULL` terminator is not counted in `n_namespaces_out`.

Available since: 2.80

#### Parameters

`n_namespaces_out`

  Type: `size_t*`

  Return location for the number of namespaces.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

list of namespaces.

The length of the array is in the `n_namespaces_out` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.